Kaseya Community

9.5.0.16 Patch Release - 27 October 2018

  • Hey Guys,


    VSA Patch has been released into production.  You can view the notes here

    9.5.0.16 Patch Release - 27 October 2018

    VSA Core

    • Master administrators will now be able to only see views that are explicitly shared with them. (VSA-540)

    Login Component

    • Fixed an issue with logging into the VSA using localhost where users would occasionally receive an 'Oops, Something went wrong' error when the 're-direct to https at logon' page was enabled. (VSA-268)

    VSA Views

    • Fixed an issue where custom field values were being moved to the wrong fields in advanced view filters. To prevent Custom Fields from being edited in the View while Custom Fields in Audit are being edited or removed, the View now checks if there have been changes in the filter outside of the View before it saves any filter changes.

      If there have been changes outside of the View, such as when a Custom Field is removed, the View displays an error message and forces the user to reopen the View in order to make changes to updated values. If there are no changes outside of the View, the new values save successfully. (VSA-911)

    Agent Module

    • On the Agent Edit profile pages, when a VSA user updated either the Edit Profile or Send Messages page via the Filter/Action Bar, a “You are not authorized to make this request” warning message would display. Now, page updates from the Filter/Action Bar are considered a valid request type and this warning does not display. (VSA-645)

    Edge Services, Endpoint

    • Fixed an issue where the endpoint would crash when a requested download did not complete. (VSA-405)

    Patch Management Module

    • Fixed an issue where WUA patch scans would fail to return the patch status due to an invalid attribute character. (VSA-276)

    Remote Control Module

    • Remote Control to Linux agent support has been added through the Remote Control tab of the VSA. While connections are possible to both 32- and 64-bit machines, it should be noted that 64-bit machines must have 32-bit support installed in order to allow remote access; if it is not installed, the remote access application fails. To allow installation of 32-bit support on 64-bit machines, run one of following commands (VSA-2587):

      Debian/Ubuntu:

      sudo apt-get install lib32ncurses5 lib32z1

      RHEL/CentOS:

      sudo yum install glibc.i686

    Agent Procedures Module

    • Fixed an issue where the "Clear User TEMP Files" system procedure was running recursively every 10 minutes if the user was not logged in, causing server issues. The procedure now attempts to run once and, if unsuccessful, the user will need to schedule it manually (by clicking 'Schedule Agent Procedure') to run on a recurring basis according to their needs. This prevents the script from running in a loop every 10 minutes and gives users control to schedule it manually. (VSA-870)

    Classic Monitoring Module

    • Added these new APIs for TAP members to retrieve data about System Services and Disk Volume labels (VSA-423):

      Get all Services gathered via Audits of machines

      Get distinct list of Service names

      Get all Volumne Labels across ALL Audited machines

      Get distinct list of all Volume labels

    Live Connect UI, Quickview

    • Added these custom fields to the Quickview menu: System Purchase date and Warranty Expire. (VSA-1436)

    Service Desk Module

    • Fixed an issue where the SD ticket reader would fail if the attachment name contained double quote characters. (VSA-871)

    Kserver

    • Fixed an issue where the "Get Variable" agent procedure step would cause the agent procedure to fail even if "Continue if fail" was set. The agent procedure now continues executing successfully even if the "Get Variable" step fails. (VSA-409)

    Discovery Module, Security Vulnerability

    • Fixed an issue where the Discovery Network Device page would occasionally show in-scope devices discovered by an out-of-scope network. The network organization scope is now taken into account when retrieving the list of devices in the Discovered Devices page. The Discovered Devices page no longer shows any in-scope devices discovered by an out-of-scope network. (VSA-927)

    Network Monitor Module

    • Resolved an issue where the Network Monitor map wouldn't load. The maps now require that the user provides a Google Maps API key to load the map, which can be acquired at: https://developers.google.com/maps/documentation/javascript/get-api-key.

      To save the key to your KNM instance: navigate to Network Monitor > Settings > Other System Settings > Other Settings, enter the key in the dialog box, and click Save. Once the key is saved, all maps will load correctly. (VSA-310)

    Network Monitor Module, Security Vulnerability

    • Fixed an issue where KNM Gateway messages would display in all tenant system logs, rather than only in the one for their specific tenant. (VSA-1880)

  • We have also noticed that .16 fixes erroneous HTML codes appearing in quickview fields.

    no more instances of <nobr>,   etc.... thank you Kaseya :)

  • Where are the API updates documented?

  • Another thank you in this patch is maybe simple, but was really annoying for us. The list of views for Master Admins is finally manageable again. No more scrolling through dozens of views with similar names again.

    The HTML codes in quickview fields may have been having little practical impact, but this simple change does clean up the interface and feels good to have. So, gracias Kaseya from us too...